# ISGetIndicesF90

Accesses the elements of an index set from Fortran90. The users should call ISRestoreIndicesF90() after having looked at the indices. The user should NOT change the indices.

### Synopsis

    ISGetIndicesF90(IS x,{integer, pointer :: xx_v(:)},integer ierr)

Not collective

### Input Parameter

x -index set

### Output Parameters

| xx_v | - the Fortran90 pointer to the array
| ierr | - error code

### Example of Usage

        PetscScalar, pointer xx_v(:)
        ....
        call ISGetIndicesF90(x,xx_v,ierr)
        a = xx_v(3)
        call ISRestoreIndicesF90(x,xx_v,ierr)

### Notes

Not yet supported for all F90 compilers.

### See Also

ISRestoreIndicesF90(), ISGetIndices(), ISRestoreIndices()

Level:intermediate
Location: src/vec/is/interface/index.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/is/examples/tutorials/ex1f90.F.html
src/vec/is/examples/tutorials/ex3f90.F.html